Package com.arms.api.util.slack

## Enum SlackProperty.Channel

- java.lang.Object
- - java.lang.Enum<SlackProperty.Channel>
  - - com.arms.api.util.slack.SlackProperty.Channel

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SlackProperty.Channel>`
  Enclosing class:
    SlackProperty

      public static enum SlackProperty.Channel
      extends java.lang.Enum<SlackProperty.Channel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `backend` |
    `poc` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SlackProperty.Channel` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SlackProperty.Channel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### backend

          public static final SlackProperty.Channel backend

    - #### poc

          public static final SlackProperty.Channel poc

  - ### Method Detail

    - #### values

          public static SlackProperty.Channel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SlackProperty.Channel c : SlackProperty.Channel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SlackProperty.Channel valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null